/* 
 *    Find lockout area of PSX discs.
 *
 *    (c) 1999 Stephen Evans, 26th May 1999
 *      (Read copywrite message has bored
 *       Out of Skull)

0.1 First aminet release.
0.2 Bug fix when the psx exe doesn't sit in root dir.

     *********Greets to************


Dave 'Dibbo' Handsaker - For generaly stunning me in everything he does and
for not being a stereotypical 18-year-old.

Kaye 'World' Bannister - For puting up with the guy above and making him
the most happiest guy in the world, oh and for making me laugh :)

Dannie 'Wade' Hammonds - Cool pixel gfx dude no photoshop here !

Lee 'Someone' Wooldridge - General beer monster and kebab eating chum.

Grant P - For OS 3.0 rom replacments after I pluged mine in upside down and
turning them into electric room heaters.


$VER:PsxCountry 0.2 (26/05/99) 


 */





/* See if CD is a PSX disc */

If ~Exists("CD0:System.cnf") Then Do
   Echo "Disc in cd-rom device doesn't appear to be a PSX disc!"
   Exit 10
End


/* Read Psx disc config & And find Boot exe */

Open(cfg,"CD0:System.cnf")
FLine = ReadLn(cfg)
Close(cgf)

Parse Var Fline ':\'name';'



Posit = POS('\',name)

If Posit > 0 then do
   Parse Var Name bit1'\'Bit2
   Name = Bit1'/'Bit2
End

echo 'cFound Psx EXE file 'Name


/* Read 64kb of the PSX exe and parse out the 
 * country lockout area
 * :)
 */


Open(Fileo,"cd0:"name,R)
Lineo = Readch(Fileo,65535)
Close(Fileo)

/* The PSX executable MUST be in this format !
   Entertainment Inc. for ?# area */

Parse Var lineo 'Entertainment Inc. for 'Whatever' area'


/* Report findings to cli */

echo 'This Psx disc is for the 'Whatever' area.'


/* If the area isn't europe then disc has to be NTSC */

If Whatever ~= 'Europe' Then Echo 'This Disc is NTSC video'
Else Echo 'This Disc is PAL video'
Exit 0
